Bug 1256627 - [RFE] Add user intreface to disable touch for wacom devices
[RFE] Add user intreface to disable touch for wacom devices
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: control-center (Show other bugs)
7.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Rui Matos
Desktop QE
: FutureFeature
Depends On:
Blocks: 1298243 1393395
  Show dependency treegraph
 
Reported: 2015-08-25 03:04 EDT by Siteshwar Vashisht
Modified: 2017-07-21 17:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-21 17:28:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siteshwar Vashisht 2015-08-25 03:04:19 EDT
Description of problem:
Currently there is no user interface to disable touch for wacom tablets in GNOME 3. There should be a checkbox or button that should allow users to disable touch for wacom devices. 

Version-Release number of selected component (if applicable):
gnome-settings-daemon-3.8.6.1-12.el7.x86_64

How reproducible:
Always

Additional Information:
There is a dconf key '/schemas/desktop/gnome/peripherals/wacom/touch' that can be used to save state of touch input for individual devices.
Comment 2 Matthias Clasen 2016-04-19 09:07:24 EDT
A proper fix for this issue is blocking on switching to the libinput driver, and thus probably has to wait until 7.4 at least. In the meantime, we are investigating a smaller fix using the "wacome enable touch" device property that may be doable for 7.3.
Comment 3 Matthias Clasen 2016-05-18 12:28:38 EDT
After investigation, using the "Device Enabled" property will be hard without false positives in matching pen/pad/touch device. Therefore, we will address this in 7.4 when we switch to the libinput driver.

Note You need to log in before you can comment on or make changes to this bug.